searchNodes=[{"ref":"GoogleApi.AppState.V1.Api.States.html","title":"GoogleApi.AppState.V1.Api.States","type":"module","doc":"API calls for all endpoints tagged States."},{"ref":"GoogleApi.AppState.V1.Api.States.html#appstate_states_clear/4","title":"GoogleApi.AppState.V1.Api.States.appstate_states_clear/4","type":"function","doc":"Clears (sets to empty) the data for the passed key if and only if the passed version matches the currently stored version. This method results in a conflict error on version mismatch. Parameters connection (type: GoogleApi.AppState.V1.Connection.t) - Connection to server state_key (type: integer()) - The key for the data to be retrieved. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :currentDataVersion (type: String.t) - The version of the data to be cleared. Version strings are returned by the server. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.AppState.V1.Model.WriteResult{}} on success {:error, info} on failure"},{"ref":"GoogleApi.AppState.V1.Api.States.html#appstate_states_delete/4","title":"GoogleApi.AppState.V1.Api.States.appstate_states_delete/4","type":"function","doc":"Deletes a key and the data associated with it. The key is removed and no longer counts against the key quota. Note that since this method is not safe in the face of concurrent modifications, it should only be used for development and testing purposes. Invoking this method in shipping code can result in data loss and data corruption. Parameters connection (type: GoogleApi.AppState.V1.Connection.t) - Connection to server state_key (type: integer()) - The key for the data to be retrieved. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %{}} on success {:error, info} on failure"},{"ref":"GoogleApi.AppState.V1.Api.States.html#appstate_states_get/4","title":"GoogleApi.AppState.V1.Api.States.appstate_states_get/4","type":"function","doc":"Retrieves the data corresponding to the passed key. If the key does not exist on the server, an HTTP 404 will be returned. Parameters connection (type: GoogleApi.AppState.V1.Connection.t) - Connection to server state_key (type: integer()) - The key for the data to be retrieved. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.AppState.V1.Model.GetResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.AppState.V1.Api.States.html#appstate_states_list/3","title":"GoogleApi.AppState.V1.Api.States.appstate_states_list/3","type":"function","doc":"Lists all the states keys, and optionally the state data. Parameters connection (type: GoogleApi.AppState.V1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :includeData (type: boolean()) - Whether to include the full data in addition to the version number opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.AppState.V1.Model.ListResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.AppState.V1.Api.States.html#appstate_states_update/4","title":"GoogleApi.AppState.V1.Api.States.appstate_states_update/4","type":"function","doc":"Update the data associated with the input key if and only if the passed version matches the currently stored version. This method is safe in the face of concurrent writes. Maximum per-key size is 128KB. Parameters connection (type: GoogleApi.AppState.V1.Connection.t) - Connection to server state_key (type: integer()) - The key for the data to be retrieved. optional_params (type: keyword()) - Optional parameters :alt (type: String.t) - Data format for the response. :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - An opaque string that represents a user for quota purposes. Must not exceed 40 characters. :userIp (type: String.t) - Deprecated. Please use quotaUser instead. :currentStateVersion (type: String.t) - The version of the app state your application is attempting to update. If this does not match the current version, this method will return a conflict error. If there is no data stored on the server for this key, the update will succeed irrespective of the value of this parameter. :body (type: GoogleApi.AppState.V1.Model.UpdateRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.AppState.V1.Model.WriteResult{}} on success {:error, info} on failure"},{"ref":"GoogleApi.AppState.V1.Connection.html","title":"GoogleApi.AppState.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.AppState.V1."},{"ref":"GoogleApi.AppState.V1.Connection.html#delete/3","title":"GoogleApi.AppState.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#delete!/3","title":"GoogleApi.AppState.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#execute/2","title":"GoogleApi.AppState.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.AppState.V1.Connection.html#get/3","title":"GoogleApi.AppState.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#get!/3","title":"GoogleApi.AppState.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#head/3","title":"GoogleApi.AppState.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#head!/3","title":"GoogleApi.AppState.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#new/0","title":"GoogleApi.AppState.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.AppState.V1.Connection.html#new/1","title":"GoogleApi.AppState.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.AppState.V1.Connection.html#options/3","title":"GoogleApi.AppState.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#options!/3","title":"GoogleApi.AppState.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#patch/4","title":"GoogleApi.AppState.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#patch!/4","title":"GoogleApi.AppState.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#post/4","title":"GoogleApi.AppState.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#post!/4","title":"GoogleApi.AppState.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#put/4","title":"GoogleApi.AppState.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#put!/4","title":"GoogleApi.AppState.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#request/2","title":"GoogleApi.AppState.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.AppState.V1.Connection.html#request!/2","title":"GoogleApi.AppState.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.AppState.V1.Connection.html#trace/3","title":"GoogleApi.AppState.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#trace!/3","title":"GoogleApi.AppState.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.AppState.V1.Connection.html#t:option/0","title":"GoogleApi.AppState.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.AppState.V1.Connection.html#t:t/0","title":"GoogleApi.AppState.V1.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.AppState.V1.Model.GetResponse.html","title":"GoogleApi.AppState.V1.Model.GetResponse","type":"module","doc":"This is a JSON template for an app state resource. Attributes currentStateVersion (type: String.t, default: nil) - The current app state version. data (type: String.t, default: nil) - The requested data. kind (type: String.t, default: appstate#getResponse) - Uniquely identifies the type of this resource. Value is always the fixed string appstate#getResponse. stateKey (type: integer(), default: nil) - The key for the data."},{"ref":"GoogleApi.AppState.V1.Model.GetResponse.html#decode/2","title":"GoogleApi.AppState.V1.Model.GetResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.AppState.V1.Model.GetResponse.html#t:t/0","title":"GoogleApi.AppState.V1.Model.GetResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.AppState.V1.Model.ListResponse.html","title":"GoogleApi.AppState.V1.Model.ListResponse","type":"module","doc":"This is a JSON template to convert a list-response for app state. Attributes items (type: list(GoogleApi.AppState.V1.Model.GetResponse.t), default: nil) - The app state data. kind (type: String.t, default: appstate#listResponse) - Uniquely identifies the type of this resource. Value is always the fixed string appstate#listResponse. maximumKeyCount (type: integer(), default: nil) - The maximum number of keys allowed for this user."},{"ref":"GoogleApi.AppState.V1.Model.ListResponse.html#decode/2","title":"GoogleApi.AppState.V1.Model.ListResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.AppState.V1.Model.ListResponse.html#t:t/0","title":"GoogleApi.AppState.V1.Model.ListResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.AppState.V1.Model.UpdateRequest.html","title":"GoogleApi.AppState.V1.Model.UpdateRequest","type":"module","doc":"This is a JSON template for a requests which update app state Attributes data (type: String.t, default: nil) - The new app state data that your application is trying to update with. kind (type: String.t, default: appstate#updateRequest) - Uniquely identifies the type of this resource. Value is always the fixed string appstate#updateRequest."},{"ref":"GoogleApi.AppState.V1.Model.UpdateRequest.html#decode/2","title":"GoogleApi.AppState.V1.Model.UpdateRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.AppState.V1.Model.UpdateRequest.html#t:t/0","title":"GoogleApi.AppState.V1.Model.UpdateRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.AppState.V1.Model.WriteResult.html","title":"GoogleApi.AppState.V1.Model.WriteResult","type":"module","doc":"This is a JSON template for an app state write result. Attributes currentStateVersion (type: String.t, default: nil) - The version of the data for this key on the server. kind (type: String.t, default: appstate#writeResult) - Uniquely identifies the type of this resource. Value is always the fixed string appstate#writeResult. stateKey (type: integer(), default: nil) - The written key."},{"ref":"GoogleApi.AppState.V1.Model.WriteResult.html#decode/2","title":"GoogleApi.AppState.V1.Model.WriteResult.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.AppState.V1.Model.WriteResult.html#t:t/0","title":"GoogleApi.AppState.V1.Model.WriteResult.t/0","type":"type","doc":""}]